Module javafx.controls
Package javafx.scene.chart

## Enum LineChart.SortingPolicy

- java.lang.Object
- - java.lang.Enum<LineChart.SortingPolicy>
  - - javafx.scene.chart.LineChart.SortingPolicy

- All Implemented Interfaces:
    `Serializable`, `Comparable<LineChart.SortingPolicy>`, `Constable`
  Enclosing class:
    LineChart<X,​Y>

      public static enum LineChart.SortingPolicy
      extends Enum<LineChart.SortingPolicy>

  This enum defines a policy for `LineChart.axisSortingPolicyProperty()`.
  Since:
    JavaFX 8u40

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Enum

      `Enum.EnumDesc<E extends Enum<E>>`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NONE` | The data should be left in the order defined by the list in `XYChart.dataProperty()`.
    `X_AXIS` | The data is ordered by x axis.
    `Y_AXIS` | The data is ordered by y axis.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static LineChart.SortingPolicy` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static LineChart.SortingPolicy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final LineChart.SortingPolicy NONE

      The data should be left in the order defined by the list in `XYChart.dataProperty()`.

    - #### X_AXIS

          public static final LineChart.SortingPolicy X_AXIS

      The data is ordered by x axis.

    - #### Y_AXIS

          public static final LineChart.SortingPolicy Y_AXIS

      The data is ordered by y axis.

  - ### Method Detail

    - #### values

          public static LineChart.SortingPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared.
      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LineChart.SortingPolicy valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null